Subject: bug#11849: 23.3; emacs freeze when vpn is connected

From: "Bellmann, Andreas" <[email-masked]>
Date: Tue, 3 Jul 2012 08:46:09 +0000

I am using emacs on windows (version 23.3) and it works just fine. As

soon as I connect to my Checkpoint VPN (VPN over https using checkpoint ssl extender 7.01.0000) , emacs becomes unusable, because every

file interaction (load, save) freezes emacs for about 1 minute. I have

not been able to find any information in the messages of emacs on the

cause of this problem.

Searches in google didn't lead to any more information either.

Perhaps you can help me to pinpoint the cause for this problem and how

to get emacs to work again with vpn active ..

Thank you for any help.

Best regards,

Andreas Bellmann

In GNU Emacs 23.3.1 (i386-mingw-nt6.1.7601)

of 2011-03-10 on 3249CTO

Windowing system distributor `Microsoft Corp.', version 6.1.7601

configured using `configure --with-gcc (4.5) --no-opt --cflags -Ic:/imagesupport/include'

Important settings:

  value of $LC_ALL: nil

  value of $LC_COLLATE: nil

  value of $LC_CTYPE: nil

  value of $LC_MESSAGES: nil

  value of $LC_MONETARY: nil

  value of $LC_NUMERIC: nil

  value of $LC_TIME: nil

  value of $LANG: EN

  value of $XMODIFIERS: nil

  locale-coding-system: cp1252

  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:

  cua-mode: t

  global-linum-mode: t

  linum-mode: t

  recentf-mode: t

  tooltip-mode: t

  mouse-wheel-mode: t

  tool-bar-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  font-lock-mode: t

  blink-cursor-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

  column-number-mode: t

  line-number-mode: t

  transient-mark-mode: t

Recent input:

<escape> x r e p o r t <tab> <return>

Recent messages:

Loading ekeys...done

Loading c:/Users/abellmann/Dropbox/emacs/lisp/modes.el (source)...

Loading c:/users/abellmann/.recentf...done

Cleaning up the recentf list...done (0 removed)

Loading c:/Users/abellmann/Dropbox/emacs/lisp/modes.el (source)...done

Loading c:/Users/abellmann/Dropbox/emacs/lisp/modes-win.el (source)...done

For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:

None found.

Features:

(shadow sort flyspell ispell mail-extr message ecomplete rfc822 mml

mml-sec password-cache mm-decode mm-bodies mm-encode mailcap mail-parse

rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util

netrc mm-util mail-prsvr gmm-utils mailheader canlock sha1 hex-util

hashcash mail-utils emacsbug cua-base linum org-remember org-datetree

remember org byte-opt warnings bytecomp byte-compile advice help-fns

advice-preload org-footnote org-src org-list org-faces org-compat

org-macs time-date noutline outline easy-mmode recentf tree-widget

wid-edit easymenu server emacs-type cl cl-19 tooltip ediff-hook vc-hooks

lisp-float-type mwheel dos-w32 disp-table ls-lisp w32-win w32-vars

tool-bar dnd fontset image fringe lisp-mode register page menu-bar

rfn-eshadow timer select scroll-bar mldrag mouse jit-lock font-lock

syntax facemenu font-core frame cham georgian utf-8-lang misc-lang

vietnamese tibetan thai tai-viet lao korean japanese hebrew greek

romanian slovak czech european ethiopic indian cyrillic chinese

case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button

minibuffer faces cus-face files text-properties overlay md5 base64

format env code-pages mule custom widget hashtable-print-readable

backquote make-network-process multi-tty emacs)

Andreas Bellmann
Senior Architekt

Tel:    +49 (711) 13984-242
Fax:   +49 (711) 8666301
Mobil:+49 (172) 2715755
[email-masked]<mailto:[email-masked]>

Heiler Software AG
Mittlerer Pfad 5 - 70499 Stuttgart
www.heiler.com<http://www.heiler.com>

Management Board: Rolf J. Heiler, Dr. Wolfgang A. K?stler, Frank Schmidt, Dirk H?u?ermann
Chairman of the Supervisory Board: Antonio Schnieder
Registry Court: Stuttgart District Court, HRB 20399, German VAT ID.DE 146023553

[Heiler Software] <http://www.heiler.com>

Subscribe to http://blog.heiler.com
to read recent articles on Multichannel Commerce, PIM, and MDM.